AnsweredAssumed Answered

Android compilation different javac

Question asked by Bharadwaaj Ramakrishnan on May 28, 2015

hi while compiling android KK i get the following error in ubuntu 14.04

 

javac: target release 1.5 conflicts with default source release 1.7

 

I understood its expecting java6 i think i have selected the same by doing this

 

sudoer@sudoer-B85M-DS3H:~/myandroid$ sudo update-alternatives --config java

[sudo] password for sudoer:

There are 3 choices for the alternative java (providing /usr/bin/java).

 

 

  Selection    Path                                            Priority   Status

------------------------------------------------------------

* 0            /usr/lib/jvm/java-6-oracle/jre/bin/java          1073      auto mode

  1            /usr/lib/jvm/java-6-oracle/jre/bin/java          1073      manual mode

  2            /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java   1071      manual mode

  3            /usr/lib/jvm/java-7-oracle/jre/bin/java          1072      manual mode

 

 

Press enter to keep the current choice[*], or type selection number: 1

sudoer@sudoer-B85M-DS3H:~/myandroid$ java -version

java version "1.7.0_80"

Java(TM) SE Runtime Environment (build 1.7.0_80-b15)

Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)

 

but still my java version is 1.7 and my javac version is also the same. I cannot find any previous java installation files. Any help on this will be really helpful

Outcomes